# $Revision: 1.6 $, $Date: 2005/04/13 07:42:09 $
Summary:	The Typesafe Signal Framework for C++
Summary(pl):	rodowisko sygnaw z kontrol typw dla C++
Name:		libsigc++12
Version:	1.2.7
Release:	1
License:	LGPL
Vendor:		Karl E. Nelson <kenelson@ece.ucdavis.edu>
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/libsigc++/1.2/libsigc++-%{version}.tar.bz2
# Source0-md5:	212f48536019e1f003d2509b4c9b36df
Patch0:		%{name}-m4.patch
URL:		http://libsigc.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	m4
Obsoletes:	libsigc++-examples
Obsoletes:	libsigc++ < 1:1.9
Conflicts:	libsigc++ < 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a seperate library to
provide for more general use. It is the most complete library of its
kind with the ablity to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

%description -l pl
Ta biblioteka jest implementacj penego systemu callbackw do
uywania w bibliotekach widgetw, interfejsach abstrakcyjnych i
oglnym programowaniu. Oryginalnie bya to cz zestawu widgetw
Gtk--, ale jest teraz oddzieln bibliotek oglniejszego
przeznaczenia. Jest to kompletna biblioteka tego typu z moliwoci
czenia abstrakcyjnych callbackw z metodami klas, funkcjami lub
obiektami funkcji. Zawiera klasy adapterw do czenia rnych
callbackw.

%package devel
Summary:	Development tools for the Typesafe Signal Framework for C++
Summary(pl):	Narzdzia programistyczne do rodowiska libsig++
Group:		Development/Libraries
Requires:	m4
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libsigc++-devel < 1:1.9

%description devel
Development tools for the Typesafe Signal Framework for C++.

%description devel -l pl
Narzdzia programistyczne do rodowiska libsigc++ - sygnaw z
kontrol typw.

%package static
Summary:	Static Typesafe Signal Framework for C++ libraries
Summary(pl):	Statyczna biblioteka libsigc++
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libsigc++-static < 1:1.9

%description static
Static Typesafe Signal Framework for C++ libraries.

%description static -l pl
Statyczna biblioteka libsigc++ - rodowiska sygnaw z kontrol typw.

%prep
%setup -q -n libsigc++-%{version}
%patch0 -p1

%build
CXXFLAGS="%{rpmcflags} -fno-exceptions"
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS README IDEAS FEATURES NEWS ChangeLog TODO doc/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/sigc++-*
%{_libdir}/sigc++-*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsigc++12.spec,v $
Revision 1.6  2005/04/13 07:42:09  freetz
- 1.2.7, back to old soname in this release...

Revision 1.5  2005/04/12 18:18:40  freetz
- 1.2.6

Revision 1.4  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.3  2004/02/29 17:08:24  qboosh
- added libsigc++-1.2.x epoch to Obsoletes

Revision 1.2  2004/02/29 17:02:10  qboosh
- no name macro in Conflicts and desc

Revision 1.1  2004/02/28 11:56:37  grzegol
- moved from libsigc++.spec
